require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Section.',


    inputs: {
        codeEcole: {
            type: 'string',
            required: true

        },
        codeClasse: {
            type: 'string',
            required: true

        },
        matricule: {
            type: 'string',
            required: true
        },

        trimSem: {
            type: 'string',
        },

        anneeScolaire: {
            type: 'string',
        },

        systemSco: {
            type: 'string',
        },

        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let attributionClasseCreate;
        let attributionClasse = await AttributionClasse.find({ codeEcole: inputs.codeEcole, codeClasse: inputs.codeClasse, matricule: inputs.matricule, trimSem: inputs.trimSem, anneeScolaire: inputs.anneeScolaire, systemSco: inputs.systemSco, }).then(_.first)
        if (attributionClasse) {

            return exits.notFound({ message: "Cette Attribution existe déja, veuillez la modifier!" })
        } else {
            attributionClasseCreate = await AttributionClasse.create({ codeEcole: inputs.codeEcole, codeClasse: inputs.codeClasse, matricule: inputs.matricule, trimSem: inputs.trimSem, anneeScolaire: inputs.anneeScolaire, systemSco: inputs.systemSco }).fetch();
        }
        // All done.
        return exits.success(attributionClasseCreate);

    }


};
